Name:           python-wisdom-tree
Version:        0.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A terminal productivity application which lets you set pomodoro timers, show random quotes, and play music while a tree grows.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            ...
Source:         %{pypi_source wisdom_tree}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'wisdom-tree' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-wisdom-tree
Summary:        %{summary}

%description -n python3-wisdom-tree %_description


%prep
%autosetup -p1 -n wisdom_tree-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-wisdom-tree -f %{pyproject_files}


%changelog
%autochangelog